>From 1cbbbcdf4145d24e61d86fbaedce01d0fe9a30df Mon Sep 17 00:00:00 2001
From: John Dennis <jdennis@redhat.com>
Date: Thu, 24 Mar 2011 11:59:37 -0400
Subject: [PATCH] Fix autogen.sh, the script is invoked with -e which causes the script
 to exit immediately if a subshell command enclosed in parentheses has
 a non-zero exit status. The command
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: 8bit

grep "^AC_CONFIG_HEADER" configure.in > /dev/null

returns non-zero for many of the subdirs which causes the autogen.sh
script to immediately exit. In fact it exits on the very first
subdirectory (src/modules/rlm_sql) prematurely aborting the entire
operation.
---
 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/autogen.sh b/autogen.sh
index 9cba642..20887a8 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -16,6 +16,6 @@ mysubdirs=`echo $mysubdirs`
 for F in $mysubdirs
 do
 	echo "Configuring in $F..."
-	(cd $F && grep "^AC_CONFIG_HEADER" configure.in > /dev/null && autoheader -I$parentdir)
+	(cd $F && grep "^AC_CONFIG_HEADER" configure.in > /dev/null || exit 0; autoheader -I$parentdir)
 	(cd $F && autoconf -I$parentdir)
 done
-- 
1.7.4

